Bug 740486 - setroubleshootd (setroubleshoot-server) segfault
Summary: setroubleshootd (setroubleshoot-server) segfault
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setroubleshoot
Version: 5.8
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 456332
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 08:37 UTC by Yoshifumi Kinoshita
Modified: 2018-11-14 11:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 456332
Environment:
Last Closed: 2011-10-24 15:34:16 UTC


Attachments (Terms of Use)

Comment 1 Daniel Walsh 2011-09-22 12:59:38 UTC
Well this looks like a python issue, but I would have your customer clear out his setroubleshoot database in /var/lib/setroubleshoot/audit*.xml

Either remove the files or cat /dev/null into them and see if this fixes the problem.  One problem with RHEL5 setroubleshoot could be its handling of international lanquages.  Something in the XML database might be causing the python to crash.

Comment 2 RHEL Product and Program Management 2011-09-23 00:34:12 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.